# newgrf_railtype.cpp File Reference

NewGRF handling of rail types. More...

`#include "stdafx.h"`
`#include "debug.h"`
`#include "newgrf.h"`
`#include "newgrf_spritegroup.h"`
`#include "date_func.h"`
`#include "depot_base.h"`

Go to the source code of this file.

## Functions
static uint32 | RailTypeGetRandomBits (const ResolverObject *object)
static uint32 | RailTypeGetTriggers (const ResolverObject *object)
static void | RailTypeSetTriggers (const ResolverObject *object, int triggers)
static uint32 | RailTypeGetVariable (const ResolverObject *object, byte variable, byte parameter, bool *available)
static const SpriteGroup * | RailTypeResolveReal (const ResolverObject *object, const RealSpriteGroup *group)
static void | NewRailTypeResolver (ResolverObject *res, TileIndex tile, TileContext context)
SpriteID | GetCustomRailSprite (const RailtypeInfo *rti, TileIndex tile, RailTypeSpriteGroup rtsg, TileContext context)
uint8 | GetReverseRailTypeTranslation (RailType railtype, const GRFFile *grffile)
void | GetRailTypeResolver (ResolverObject *ro, uint index)
| Resolve a railtypes's spec and such so we can get a variable.

## Detailed Description

NewGRF handling of rail types.

Definition in file newgrf_railtype.cpp.

## Function Documentation

void GetRailTypeResolver | ( | ResolverObject * | ro,
|  | uint | index |
| ) |  |  |

Resolve a railtypes's spec and such so we can get a variable.

Parameters:

  | ro | The resolver object to fill.
  | index | The rail tile to get the data from.

Definition at line 127 of file newgrf_railtype.cpp.

References TCX_NORMAL.

Referenced by NIHRailType::Resolve().